> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete account

> Deletes the current account.
- Allows the root user of an account to delete the entire account from the platform.
- The root user must request a verification code to be able to finalize the process (see **/accounts/email-code**)
- This is a significant operation that removes all account data and revokes access for all users associated with the account.
- Users, however, are not deleted and they can continue to sign in to the platform if they are members of any other active accounts.
 - There is an option to delete the account immediately or in 14 days. If the latter, the deletion can be unscheduled (see **/accounts/cancel-account-deletion**)



## OpenAPI

````yaml /api-reference/endpoint/accounts/openapi.json delete /accounts/account
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    API for managing accounts, users, authentication, and payments in the
    quiva.ai platform
  version: 1.0.0
  contact:
    name: quiva.ai Support
    url: https://app.quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Account Management
    description: Operations related to account creation, updating, and deletion
  - name: User Management
    description: Operations related to user creation, updating, and deletion
  - name: Authentication
    description: Operations related to authentication and session management
  - name: API Keys
    description: Operations related to API key management
  - name: Multi-Factor Authentication
    description: Operations related to MFA setup and verification
  - name: Payment
    description: Operations related to subscription and payment management
  - name: Mesh Nodes
    description: Operations related to mesh node management
paths:
  /accounts/account:
    delete:
      tags:
        - Account Management
      summary: Delete account
      description: >-
        Deletes the current account.

        - Allows the root user of an account to delete the entire account from
        the platform.

        - The root user must request a verification code to be able to finalize
        the process (see **/accounts/email-code**)

        - This is a significant operation that removes all account data and
        revokes access for all users associated with the account.

        - Users, however, are not deleted and they can continue to sign in to
        the platform if they are members of any other active accounts.
         - There is an option to delete the account immediately or in 14 days. If the latter, the deletion can be unscheduled (see **/accounts/cancel-account-deletion**)
      operationId: deleteAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                in_14_days:
                  type: boolean
                  description: >-
                    Schedule deletion in 14 days. If this flag is set to true,
                    the account data will not be deactivated immediately and
                    will be accessible in the next 14 days. After this period is
                    up, it will no longer be possible to log in with the
                    account. If the root user wishes to recover it, they can
                    contact a platform administrator up to a year after the
                    account was deleted.
                email_code:
                  type: string
                  description: >-
                    Email verification code. To obtain one, see
                    **/accounts/email-code**
              required:
                - email_code
            example:
              in_14_days: true
              email_code: '123456'
      responses:
        '200':
          description: Account scheduled for deletion or deleted successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                      deletion_date:
                        type: string
                        format: date-time
              example:
                data:
                  message: The accounts is going to be deleted on 2023-05-12T12:34:56Z
                  deletion_date: '2023-05-12T12:34:56Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````